nxt

## Interface BlockchainProcessor

- All Superinterfaces:
    Observable<Block,BlockchainProcessor.Event>

      public interface BlockchainProcessor
      extends Observable<Block,BlockchainProcessor.Event>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BlockchainProcessor.BlockNotAcceptedException`
    `static class` | `BlockchainProcessor.BlockOutOfOrderException`
    `static class` | `BlockchainProcessor.Event`
    `static class` | `BlockchainProcessor.TransactionNotAcceptedException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fullReset()`
    `void` | `fullScanWithShutdown()`
    `int` | `getInitialScanHeight()`
    `Peer` | `getLastBlockchainFeeder()`
    `int` | `getLastBlockchainFeederHeight()`
    `int` | `getMinRollbackHeight()`
    `boolean` | `isDownloading()`
    `boolean` | `isProcessingBlock()`
    `boolean` | `isScanning()`
    `java.util.List<? extends Block>` | `popOffTo(int height)`
    `void` | `processPeerBlock(org.json.simple.JSONObject request)`
    `void` | `registerDerivedTable(DerivedDbTable table)`
    `int` | `restorePrunedData()`
    `Transaction` | `restorePrunedTransaction(long transactionId)`
    `void` | `scan(int height, boolean validate)`
    `void` | `setGetMoreBlocks(boolean getMoreBlocks)`
    `void` | `trimDerivedTables()`

    - ### Methods inherited from interface nxt.util.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### getLastBlockchainFeeder

          Peer getLastBlockchainFeeder()

    - #### getLastBlockchainFeederHeight

          int getLastBlockchainFeederHeight()

    - #### isScanning

          boolean isScanning()

    - #### isDownloading

          boolean isDownloading()

    - #### isProcessingBlock

          boolean isProcessingBlock()

    - #### getMinRollbackHeight

          int getMinRollbackHeight()

    - #### getInitialScanHeight

          int getInitialScanHeight()

    - #### processPeerBlock

          void processPeerBlock(org.json.simple.JSONObject request)
                         throws NxtException

      Throws:
        `NxtException`

    - #### fullReset

          void fullReset()

    - #### scan

          void scan(int height,
                    boolean validate)

    - #### fullScanWithShutdown

          void fullScanWithShutdown()

    - #### setGetMoreBlocks

          void setGetMoreBlocks(boolean getMoreBlocks)

    - #### popOffTo

          java.util.List<? extends Block> popOffTo(int height)

    - #### registerDerivedTable

          void registerDerivedTable(DerivedDbTable table)

    - #### trimDerivedTables

          void trimDerivedTables()

    - #### restorePrunedData

          int restorePrunedData()

    - #### restorePrunedTransaction

          Transaction restorePrunedTransaction(long transactionId)